Bug 1379297 (CVE-2016-7161) - CVE-2016-7161 Qemu: net: xilinx_ethlite: heap buffer overflow in eth_rx
Summary: CVE-2016-7161 Qemu: net: xilinx_ethlite: heap buffer overflow in eth_rx
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-7161
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1379298 1379299
Blocks: 1379308
TreeView+ depends on / blocked
 
Reported: 2016-09-26 10:20 UTC by Adam Mariš
Modified: 2019-09-29 13:57 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 09:13:37 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-26 10:20:49 UTC
The .receive callback of xlnx.xps-ethernetlite doesn't check the length of data before calling memcpy. As a result, the NetClientState object in heap will be overflowed. All versions of qemu with xlnx.xps-ethernetlite are affected.

Upstream patch:

http://git.qemu.org/?p=qemu.git;a=commit;h=a0d1cbdacff5df4ded16b753b38fdd9da6092968

CVE assignment:

http://seclists.org/oss-sec/2016/q3/603

Comment 1 Adam Mariš 2016-09-26 10:22:18 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1379299]

Comment 2 Adam Mariš 2016-09-26 10:22:45 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1379298]


Note You need to log in before you can comment on or make changes to this bug.